Module javafx.graphics
Package javafx.css

## Class FontCssMetaData<S extends Styleable>

- java.lang.Object
- - javafx.css.CssMetaData<S,​Font>
  - - javafx.css.FontCssMetaData<S>

- Type Parameters:
    `S` - The type of Styleable

      public abstract class FontCssMetaData<S extends Styleable>
      extends CssMetaData<S,​Font>

  An partial implementation of CssMetaData for Font properties which includes the font sub-properties: weight, style, family and size.
  Since:
    JavaFX 8.0

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FontCssMetaData​(String property, Font initial)` | Constructs a FontCSSMetaData object from the specified property and initial Font.

  - ### Method Summary

    - ### Methods inherited from class javafx.css.CssMetaData

      `equals, getConverter, getInitialValue, getProperty, getStyleableProperty, getSubProperties, hashCode, isInherits, isSettable, set, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FontCssMetaData

          public FontCssMetaData​(String property,
                                 Font initial)

      Constructs a FontCSSMetaData object from the specified property and initial Font. The property name is concatenated with "-weight", "-style", "-family" and "-size" to create the sub-properties. For example, `new FontCssMetaData<Text>("-fx-font", Font.getDefault());` will create a CssMetaData for "-fx-font" with sub-properties: "-fx-font-weight", "-fx-font-style", "-fx-font-family" and "-fx-font-size"
      Parameters:
        `property` - the property name
        `initial` - the initial font